/*******************************************************************************
* File Name: `$INSTANCE_NAME`.h  
* Version `$CY_MAJOR_VERSION`.`$CY_MINOR_VERSION`
*
* Description:
*  Contains the prototypes and constants for the functions available to the 
*  PhaseAccum Component.
*
* Note:
*
********************************************************************************
* Copyright (2009), Cypress Semiconductor Corporation.
********************************************************************************
* This software is owned by Cypress Semiconductor Corporation (Cypress) and is 
* protected by and subject to worldwide patent protection (United States and 
* foreign), United States copyright laws and international treaty provisions. 
* Cypress hereby grants to licensee a personal, non-exclusive, non-transferable 
* license to copy, use, modify, create derivative works of, and compile the 
* Cypress Source Code and derivative works for the sole purpose of creating 
* custom software in support of licensee product to be used only in conjunction 
* with a Cypress integrated circuit as specified in the applicable agreement. 
* Any reproduction, modification, translation, compilation, or representation of 
* this software except as specified above is prohibited without the express 
* written permission of Cypress.
*
* Disclaimer: CYPRESS MAKES NO WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, WITH 
* REGARD TO THIS MATERIAL, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED 
* WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
* Cypress reserves the right to make changes without further notice to the 
* materials described herein. Cypress does not assume any liability arising out 
* of the application or use of any product or circuit described herein. Cypress 
* does not authorize its products for use as critical components in life-support 
* systems where a malfunction or failure may reasonably be expected to result in 
* significant injury to the user. The inclusion of Cypress' product in a life-
* support systems application implies that the manufacturer assumes all risk of 
* such use and in doing so indemnifies Cypress against all charges. Use may be 
* limited by and subject to the applicable Cypress software license agreement. 
*******************************************************************************/

#include "cytypes.h"
#include "cyfitter.h"

#if !defined(PHASE_ACCUM_`$INSTANCE_NAME`_H)
#define PHASE_ACCUM_`$INSTANCE_NAME`_H

#define `$INSTANCE_NAME`_CTRL_ENABLE 0x01u

#define `$INSTANCE_NAME`_CONTROL     (*(reg8 *) `$INSTANCE_NAME`_ControlReg__CONTROL_REG)
#define `$INSTANCE_NAME`_CONTROL_PTR  ((reg8 *) `$INSTANCE_NAME`_ControlReg__CONTROL_REG)
#define `$INSTANCE_NAME`_INCREMENT_PTR   ((reg16 *) `$INSTANCE_NAME`_Datapath_u0__D1_REG)
#define `$INSTANCE_NAME`_BASE_PTR  ((reg16 *) `$INSTANCE_NAME`_Datapath_u0__D0_REG)
#define `$INSTANCE_NAME`_FIFO_LSB_PTR  ((reg8 *) `$INSTANCE_NAME`_Datapath_u0__F0_REG)
#define `$INSTANCE_NAME`_FIFO_LSB  (*(reg8 *) `$INSTANCE_NAME`_Datapath_u0__F0_REG)
#define `$INSTANCE_NAME`_FIFO_MSB_PTR  ((reg8 *) `$INSTANCE_NAME`_Datapath_u1__F0_REG)
#define `$INSTANCE_NAME`_FIFO_MSB  (*(reg8 *) `$INSTANCE_NAME`_Datapath_u1__F0_REG)

/***************************************
 *   Function Prototypes
 **************************************/
void `$INSTANCE_NAME`_Init(uint16 base);
void `$INSTANCE_NAME`_Enable(void);
void `$INSTANCE_NAME`_WriteIncrement(uint16 increment);

#endif  /* PHASE_ACCUM_`$INSTANCE_NAME`_H */
